#################################################################################
#                                                                               #
#                       copyright (c) 2003 Ingeniweb SARL                       #
#                                                                               #
#################################################################################

"""Plone NewsLetter Product"""

from global_symbols import *

from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import utils, CMFCorePermissions

import PloneNewsLetter

registerDirectory('skins', globals())
registerDirectory('skins/PloneNewsLetter', globals())

install_globals = globals()          # Used only in the Extensions/Install.py script


# Classes & constructors declaration
contentClasses = (PloneNewsLetter.PloneNewsLetter, )
contentConstructors = (PloneNewsLetter.addPloneNewsLetter, )


# Initialization method
def initialize(context):
    utils.ContentInit(
        'A PloneNewsLetter type',
        content_types = contentClasses,
        permission = PloneNewsLetter_addPermission,
        extra_constructors = contentConstructors,
        fti = (PloneNewsLetter.factory_type_information,),
        ).initialize(context)
